﻿using CSHTML5;
using System.Windows;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace TestCshtml5TypeScriptClipboard
{
    public partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.Loaded += MainPage_Loaded;
        }

        async void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            await Interop.LoadJavaScriptFile("ms-appx:///TestCshtml5TypeScriptClipboard/clipboard.js");
        }

        private void ButtonCopy_Click(object sender, RoutedEventArgs e)
        {
            if (Interop.IsRunningInTheSimulator)
            {
                MessageBox.Show("This feature is not available in the Simulator. Please run in the browser instead.");
                return;
            }

            clipboard_js.clipboard_jsClass.clipboard.copy("copy succeeded");
        }

        private void ButtonPaste_Click(object sender, RoutedEventArgs e)
        {
            if (Interop.IsRunningInTheSimulator)
            {
                MessageBox.Show("This feature is not available in the Simulator. Please run in the browser instead.");
                return;
            }

            clipboard_js.clipboard_jsClass.clipboard.paste().then(
                onFulfilled: (result) =>
                {
                    MessageBox.Show("The text pasted from the clipboard is the following: " + result);
                },
                onRejected: (error) =>
                {
                    MessageBox.Show(error.ToString());
                });
        }
    }
}
